Ok guys I just tested it on an old iPhone 3G lying around and can confirm that this works! Now that Apple has released iOS 4.0.2 to patch the PDF exploit, JailbreakMe which was previously used to jailbreak iOS 4.0.1 on iPhone 4, 3GS, 3G, iPod touch 3G / 2G and iPad is now incompatible with iOS 4.0.2. But if you have iPhone 3G (which doesn’t rely on an unlock) or an iPod touch 2G (non-MC model) lying around, you can jailbreak it using the existing version of Redsn0w. Simply follow the step by step guide posted below to jailbreak the mentioned devices on iOS 4.0.2 using Redsn0w.

Continue reading... »